--require("item-functions")
--require("recipe-functions")
require("prototypes.recipe-bobs")
local researchCost = settings.startup["SpaceX-research"]
if researchCost == nil then
    researchCost.value = 1
end

local SpaceXTechs = {
"space-assembly",
"space-construction",
"space-casings",
"protection-fields",
"fusion-reactor",
"space-thrusters",
"fuel-cells",
"habitation",
"life-support-systems",
"spaceship-command",
"astrometrics",
"ftl-theory-A",
"ftl-theory-B",
"ftl-theory-C",
"ftl-propulsion",
}

for i, tech in pairs(SpaceXTechs) do
    local rootTech = data.raw.technology[tech]
    if rootTech ~= nil then
        rootTech.unit.count = rootTech.unit.count * researchCost.value
    end
end

local productionCost = settings.startup["SpaceX-production"]
if productionCost == nil then
    productionCost.value = 1
end

 local SpaceXRecipes = {
 "drydock-assembly",
 "drydock-structural",
 "fusion-reactor",
 "hull-component",
 "protection-field",
 "space-thruster",
 "fuel-cell",
 "habitation",
 "life-support",
 "command",
 "astrometrics",
 "ftl-drive",
 }
 for j, recipe in pairs(SpaceXRecipes) do
     local rootRecipe = data.raw.recipe[recipe]
     if rootRecipe then
        local tableIngredients = rootRecipe.ingredients
		if(tableIngredients) then
			for k, ingredient in pairs(tableIngredients) do
				if(ingredient.amount) then
					data.raw.recipe[recipe].ingredients[k].amount = ingredient.amount*productionCost.value
				elseif(ingredient[1] and type(ingredient[1]) == "number") then
					data.raw.recipe[recipe].ingredients[k][1] = ingredient[1]*productionCost.value
				end
			end
		end
    end
 end